1.8.1 (3 Jan 2024)
==================

  * Fix build with libsoup3 and GLib < 2.76.
  * Updated real requirements for GLib (> 2.56).
  * Updated real requirements for libsoup2 (> 2.42).
  * Updated real requirements for meson and ninja.
  * Fix AppStream-related errors in AppData XML file.
  * Fix wrong version number for flatpak builds.

New and updated translations:

  * uk (Yuri Chornoivan)

1.8 (1 Jan 2024)
================

  * Updated to libsoup3 (still possible to build with libsoup2).
  * Added frogr icon to help documentation.

New and updated translations:

  * nn (Kjartan Maraas)
  * pl (Piotr Drąg)
  * ru (Sergej A)
  * sv (Anders Jonsson)
  * tr (Sabri Ünal)
  * uk (Yuri Chornoivan)

1.7 (16 Feb 2022)
=================

  * Fixed build error with Meson 0.61.

New and updated translations:

  * ca (Jordi Mas)
  * eu (Asier Sarasua Garmendia)
  * fur (Fabio Tomat)
  * ro (Florentina Mușat)
  * uk (Yuri Chornoivan)
  * zh_CN (Boyuan Yang)

1.6 (10 Jan 2020)
=================

  * Remove deprecated use of GTimeVal

New and updated translations:

  * ca (Carles Ferrando Garcia, Jordi Mas)
  * cs (Marek Černocký)
  * da (Alan Mortensen)
  * eu (Asier Sarasua Garmendia)
  * fur (Fabio Tomat)
  * hu (Balázs Úr)
  * id (Kukuh Syafaat)
  * nl (Nathan Follens)
  * pl (Piotr Drąg)
  * sl (Matej Urbančič)
  * sr (Марко М. Костић)
  * tr (Emin Tufan Çetin, Sabri Ünal)

1.5 (24 Nov 2018)
=================

  * Introduced "empty" initial state for when no pictures have been loaded yet.
  * Fixed issues with the content and installation of the AppData file.
  * Stopped installing frogr as a MIME handler for text/plain and text/html.
  * Stopped using gtk_widget_show_all(), use gtk_widget_show only instead.
  * Removed the application menu, moved functionality to hamburguer menu.

New and updated translations:

  * ca (Carles Ferrando Garcia, Jordi Mas)
  * cs (Marek Černocký)
  * da (Alan Mortensen)
  * de (Florian Heiser, Mario Blättermann)
  * en_GB (David King)
  * es (Daniel Mustieles)
  * fi (Jiri Grönroos)
  * fr (Alexandre Franke)
  * gl (Fran Dieguez)
  * hu (Balázs Úr)
  * id (Andika Triwidada, Kukuh Syafaat)
  * is (Sveinn í Felli)
  * lv (Rūdolfs Mazurs)
  * pl (Piotr Drąg)
  * pt_BR (Rafael Fontenelle)
  * pt (Tiago Santos)
  * sl (Matej Urbančič)
  * sr (Мирослав Николић)
  * sr@latin (Miroslav Nikolić)
  * sv (Anders Jonsson)

1.4 (28 Dec 2017)
=================

  * Migrated to the meson and ninja, removed all the autotools files.
  * Fixed integration with GNOME Software (appstream data).
  * Fixed errors loading images from certain cameras / phones (#768639, #678241).
  * Raised versions for GTK+ (to 3.16) and JSON-GLib (to 1.2), for g_autoptr.

New and updated translations:

  * cs (Marek Černocký)
  * da (Alan Mortensen, Ask Hjorth Larsen)
  * de (Mario Blättermann)
  * es (Daniel Mustieles)
  * fr (Alexandre Franke)
  * hu (Balázs Úr)
  * id (Kukuh Syafaat)
  * pl (Piotr Drąg)
  * pt_BR (Rafael Fontenelle)
  * sl (Matej Urbančič)
  * sr (Мирослав Николић)
  * sr@latin (Miroslav Nikolić)
  * sv (Anders Jonsson)

1.3 (20 May 2017)
=================

  * Fixed issues resulting in broken flatpak installations.
  * Search for gcrypt using pkg-config if a .pc file is available.
  * Don't use the deprecated gtk_menu_popup() for GTK+ >= 3.22.

New and updated translations:

  * cs (Marek Černocký)
  * da (Alan Mortensen)
  * de (Mario Blättermann)
  * gl (Fran Dieguez)
  * hu (Balázs Úr)
  * id (Andika Triwidada, Kukuh Syafaat)
  * pl (Piotr Drąg)
  * pt_BR (Enrico Nicoletto, Rafael Fontenelle)
  * sl (Matej Urbančič)
  * sr (Мирослав Николић)
  * sv (Anders Jonsson, Josef Andersson)
  * tr (Muhammet Kara)

1.2 (5 Oct 2016)
================

  * Lowered gettext minimum version down to 0.19.7 to make
    it easier for older distributions to package frogr.

1.1 (4 Oct 2016)
================

  * Added flatpak support.
  * Improved content inside the AppData file.
  * Fix cancellation of the image upload process.
  * Remove build-dependency on intltool, now relying on gettext only.
  * Raised gettext minimum version up to 0.19.8.

New and updated translations:

  * cs (Marek Černocký)
  * de (Mario Blättermann, Wolfgang Stöggl)
  * en_GB (David King)
  * es (Daniel Mustieles)
  * fi (Jiri Grönroos)
  * fr (Alexandre Franke)
  * hu (Balázs Úr)
  * oc (Cédric Valmary)
  * pl (Piotr Drąg)
  * pt (Tiago Santos)
  * pt_BR (Enrico Nicoletto, Rafael Fontenelle)
  * sl (Anders Jonsson, Josef Andersson)
  * sl (Matej Urbančič)
  * sr (Мирослав Николић)

1.0 (30 Dec 2015)
=================

  * Use xdg-open instead of gnome-open as a fallback plan to open URIs.
  * Use a GtkMessageDialog for the "Uploading pictures" dialog.
  * Migrated from GSimpleAsyncResult to GTask.
  * Raised GLib minimum version up to 2.44.
  * Add a title to all the dialogs showing progress bars.
  * A few minor improvements, fixes and cleanups.

Bug fixes:

  * #747022: provide a scalable -symbolic variant of the app icon
  * #748240: Modernize look of the "uploading" progress dialog
  * #759086: Inconsequent naming of Frogr
  * #759960: Only the last locally created photoset shows up in "Add to Set" dialog.

New and updated translations:

  * bs (Samir Ribic)
  * ca (Gil Forcada)
  * cs (Marek Černocký)
  * el (Efstathios Iosifidis)
  * es (Daniel Mustieles)
  * fi (Jiri Grönroos)
  * hu (Balázs Úr)
  * pl (Piotr Drąg)
  * pt (Pedro Albuquerque)
  * sl (Matej Urbančič)
  * tr (Muhammet Kara)


0.11 (7 Jan 2015)
=================

  * Moved to GtkHeaderBar plus a new menu button for GTK+ >= 3.12.
  * Added new option to replace "date posted" with "date taken" for new uploads.
  * Speeded up picture loading when the "import tags" feature is enabled.
  * Fixed random crashes due to missing initialization of the gcrypt library.
  * Fixed issue setting inconsistent state of toggle buttons for multiple pictures.
  * Removed deprecated usage of GtkAlignment and gtk_misc_set_padding().
  * Removed usage of deprecated icon names (use those from the Icon Naming Spec).
  * Normalized .doap file (added 'category' and 'programming-language').
  * Set the minimum required version of gcrypt to 1.5.0.

Bug fixes:

  * #734202: frogr super slow to load photos
  * #732475: ath.c:193: _gcry_ath_mutex_lock: Assertion `*lock == ((ath_mutex_t) 0)' failed.
  * #734193: on upload, set 'upload date' to 'taken date'
  * #738863: Complete gcrypt initialization and set min version to 1.5.0

New and updated translations:

  * cs (Marek Černocký)
  * es (Daniel Mustieles)
  * hu (Balázs Úr)
  * id (Andika Triwidada)
  * pl (Piotr Drąg)
  * pt_BR (Rafael Ferreira)
  * ro (Daniel Șerbănescu)
  * sl (Matej Urbančič)
  * sr (Мирослав Николић)
  * sr@latin (Miroslav Nikolić)
  * tr (Muhammet Kara)


0.10 (17 June 2014)
===================

  * Use SSL endpoints for the Flickr API (non-SSL API calls deprecated).
  * Fixed issues with AppData file: fixed format and installation in data dir.
  * Enable video uploads by default, but make it configurable.
  * Remove unsupported option from YELP_HELP_INIT.
  * Remove dependency on libsoup-gnome (finally!).
  * A few minor improvements and bug fixes.

New and updated translations:

  * cs (Marek Černocký)
  * el (Tom Tryfonidis)
  * hu (Gábor Kelemen)
  * id (Andika Triwidada)
  * sr (Мирослав Николић)
  * sr@latin (Мирослав Николић)
  * zh_CN (YunQiang Su)


0.9 (17 January 2014)
=====================

  * Ported to GStreamer 1.0 (0.10 still supported).
  * Provided a high contrast icon.
  * Switched to yelp-tools from gnome-doc-utils.
  * Redesign of the "Edit details" and "Settings" dialogs.
  * Added keywords to .desktop file.
  * Added an appdata.xml file for the GNOME Software Center.
  * Removed deprecated uses of GTK_STOCK_*.
  * Removed deprecated uses of GtkAction and GtkActionGroup.
  * Fixed with drag-and-drop behavior, failing with pcmanfm.
  * Fixed selection of multiple pictures with Ctrl and/or Shift.
  * Fixed problem with ref counting for pictures, sets and groups.
  * Fixed memory leak in flicksoup (SoupBuffer was never freed).
  * Raised libsoup minimum version up to 2.34.
  * As usual, other minor improvements, bug fixes and cleanups.

Bug fixes:

  * #693230: Port to GStreamer 1.0
  * #697456: should install a high contrast app icon
  * #700005: Don't disable deprecated API by default
  * #703544: drag-and-drop doesn't work from some filers
  * #704628: Switch to yelp-tools from gnome-doc-utils
  * #706725: Ctrl-Shift-click does not work to select multiple ranges of photos
  * #708231: Provide an AppData file to integrate with GNOME Software Center
  * #720156: Excessive memory consumption

New and updated translations:

  * ca (Gil Forcada)
  * cs (Marek Černocký)
  * da (Joe Hansen)
  * el (Dimitris Spingos (Δημήτρης Σπίγγος))
  * es (Daniel Mustieles)
  * gl (Fran Dieguez)
  * hu (Balázs Úr)
  * ja (Jiro Matsuzawa)
  * lv (Rūdolfs Mazurs)
  * pl (Piotr Drąg)
  * pt_BR (Rafael Ferreira)
  * sl (Matej Urbančič)
  * sr (Мирослав Николић)
  * sr@latin (Miroslav Nikolić)
  * te (Veeven)
  * zh_CN (Wylmer Wang)


0.8 (29 Dec 2012)
=================

  * Added support for uploading videos (formats supported by Flickr only).
  * Added new 'All' and 'Video' filters to the file chooser dialog.
  * Added support for saving and loading 'projects'.
  * Added new items to the toolbar ('Open' and 'Save' for projects).
  * Ported to GtkApplication and GMenu (both the app menu and menu bar).
  * Allow sorting elements in the icon view by size.
  * Don't give up on upload too early and retry some times when possible.
  * Report errors better, and more often (no more mysterious failures).
  * Make after-upload operations cancellable, repeatable and parallelizable.
  * Properly check and report whether an user is actually connected to flickr.
  * Avoid fetching sets/groups/tags when not connected yet to Flickr.
  * Renamed the 'Actions' menu to 'Edit' and brought the 'File' menu back.
  * Renamed the 'Load Pictures' item to 'Add Pictures'
  * Updated menu item accelerators and shortcuts.
  * Hide title bar when main window is maximized.
  * Migrated from GtkTable to GtkGrid.
  * Raised glib minimum version up to 2.32.
  * Raised gtk+ minimum version up to 3.4.
  * New build dependency: gstreamer 0.10 (for video upload support).
  * New build dependency: json-glib (> 0.12) (for the 'projects' feature).
  * Ported the Mac OS X version from GTK+ 2.24 to to GTK+ 3.6.
  * Created a JHBuild's moduleset to easily build frogr for Mac OS X.
  * Stop using gtk-mac-integration, now we have migrated to GMenu.
  * As usual, other minor improvements, bug fixes and cleanups.

Bug fixes:

  * #663352: Possible memory leak after uploading of image
  * #687741: Plural forms
  * #675540: Plural forms
  * #684501: i18n - consistently capitalize Flickr
  * #690415: Fixed wrong button layout in dialogs
  * #690416: Fix missing gettext call

New and updated translations:

  * cs (Marek Černocký)
  * de (Mario Blättermann, Christian Kirbach)
  * es (Daniel Mustieles)
  * fr (Alain Lojewski, Alexandre Franke)
  * gl (Fran Dieguez)
  * id (Andika Triwidada)
  * lv (Rūdolfs Mazurs, Arvis Lacis, Anita Reitere)
  * pl (Piotr Drąg, Mateusz Kacprzak)
  * pt_BR (Rafael Ferreira)
  * ru (Yuri Myasoedov)
  * sl (Matej Urbančič)
  * sr (Мирослав Николић)
  * sr@latin (Miroslav Nikolić)
  * zh_CN (tuhaihe)


0.7 (22 May 2012)
=================

  * Migrated to the new, OAuth-based, authentication system. Previous
    versions of frogr using the old API will be seamlessly updated.
  * Import tags from picture's metainformation if present..
  * Allow setting the geolocation information for a picture, if
    available, as extracted from its EXIF data.
  * New tags added are inmmediately added to the auto-completion feature.
  * Allow using a dark theme if available (Ignacio Casal Quinteiro)
  * Show error when loading a picture if bigger than maximum allowed size.
  * Some redesign in the menubar and in the 'edit details' dialog.
  * Added keyboard accelerators to menu items.
  * Better integration with GTK+3 (e.g. primary toolbar, dark theme).
  * Fix issues in Mac OS X when opening external applications.
  * Introduced new dependency: libgcrypt (for OAuth).
  * As usual, other minor improvements, bug fixes and cleanups.

Bug fixes:

  * #656432: Links in the about dialog do not work in MacOSX
  * #656448: Use the dark theme
  * #656466: Warning if filesize limit is reached
  * #656519: memleak fixes
  * #656520: Add geolocation support
  * #658120: Add new tags to the completion

News and updated translations:

  * cs (Marek Černocký)
  * da (Joe Hansen)
  * de (Mario Blättermann)
  * es (Daniel Mustieles, Jorge González)
  * fr (Alain Lojewski, Bruno Brouard)
  * gl (Fran Dieguez)
  * nb (Kjartan Maraas)
  * nn (Kevin Brubeck Unhammer)
  * sl (Andrej Žnidaršič, Matej Urbančič)


0.6.1 (19 Aug 2011)
===================

  * Fix a big memory leak loading pixbufs in details window.
  * Fixed several mem leaks as reported by valgrind. (Christophe Fergeau).
  * Fixed segfault if using GTK < 2.24 when using combo boxes (Alberto Garcia)
  * Fixed problems authorizing in the Mac version.

Bug fixes:

  * #656519: memleak fixes


0.6 (13 Aug 2011)
=================

  * Support for using the GNOME general proxy settings (requires libsoup-gnome).
  * Allow setting license type from the details dialog.
  * Open images in default image viewer (Joaquim Rocha).
  * Allow removing similar descriptions from multiple pictures.
  * Use better thumbnails for pictures, that is, bigger ones.
  * Redesigned the "edit details" and "preferences" dialogs.
  * Use stock images for several menu items in the main view.
  * Improvements in the authorization process with flaky connections.
  * Optimized usage of memory handling because of thumbnails.
  * Fixed segfault when no valid uris are passed via command line.
  * Updated man page to talk about URIs instead of URLs.
  * Avoid potential problems by creating m4 dir upfront.
  * Fixed issues in license headers.
  * Use license-type instead of license property (Ignacio Casal Quinteiro).
  * Fixed frogr.spec file (Christophe Fergeau).
  * Use GtkAction for menus in the main view (Joaquim Rocha).
  * Added functions to allow setting the license type in flicksoup.
  * Raised glib minimum version up to 2.22.
  * Raised gtk+ minimum version up to 2.16.
  * Raised libsoup minimum version up to 2.26.
  * New build dependency: gnome-doc-utils (needed for gnome-doc-prepare).
  * New build dependency: libsoup-gnome (for using GNOME general proxy settings).
  * Added new user manual with some translations: cs, de, es, fr, en_GB, ru.
  * Several other minor improvements, small bug fixes and cleanups.

Bug fixes:

  * #644840: Authorization browser window is not be launched if behind a proxy.
  * #644841: Frogr to honor GNOME general proxy settings.
  * #651230: Use the license-type instead normal license text.
  * #651337: User manual.
  * #651527: Some typos in Frogr-help.
  * #653592: Open picture in default image viewer.
  * #653860: Introduce GtkActions.
  * #653990: Allow setting license type for the pictures in the details dialog.
  * #653991: Allow massively removing pictures description from multiple selection.
  * #653993: Open pictures in default image viewer from the main view.
  * #653994: Use better thumbnails for pictures in the details dialog.

New and updated translations:

  * cs (Marek Černocký)
  * da (Joe Hansen)
  * de (Mario Blättermann)
  * es (Daniel Mustieles)
  * fr (Claude Paroz, Bruno Brouard)
  * pt_BR (Djavan Fagundes)
  * ru (Yuri Myasoedov)
  * sl (Matej Urbančič, Andrej Žnidaršič, Saša Batistič)
  * tr (Muhammet Kara)
  * uk (Daniel Korostil)


0.5 (27 May 2011)
=================

  * Allow loading files from remote servers (use URIs instead of paths).
  * Show username instead of full name in the UI, which is more useful.
  * Allow disabling tags autocompletion through preferences dialog.
  * Show tooltips in the icon view with basic info (title, size, date).
  * Allow enabling/disabling tooltips in the main window.
  * Use check menu items for the account items.
  * Better handling of files with UTF-8 characters in their names.
  * Show the total amount of data to be uploaded in the status bar.
  * Allow sorting pictures by title and date taken (reversed or not).
  * Allow copying new photoset's details into the selected pictures.
  * Correct photo orientation when needed.
  * Added support for generating MacOSX packages.
  * Updated marital status in THANKS file.
  * Fix compilation errors in some architectures (Alberto Garcia).
  * Make GTK3 the default version (opposite to just being supported).
  * Introduced new dependency: libexif (> 0.6.14).
  * Several other minor improvements and cleanups.

Bug fixes:

  * #643288: Correctly handle plural forms in frogr-details-dialog.c
  * #643296: Mark file group name in selector as translatable
  * #644717: Proxy settings tab not compliant with HIG.
  * #644797: Remove file extension from file title.
  * #644799: Show how many MB your upload is while adding/upload photos.
  * #644800: Sort photos by date taken option
  * #644801: Rotate the photos to the right orientation.
  * #648597: Allow to add/load images from remote volumes
  * #648706: Wrong assumptions about word order

New and updated translations:

  * cs (Marek Černocký)
  * da (Joe Hansen)
  * de (Mario Blättermann)
  * el (Mel Argyropoulou)
  * es (Daniel Mustieles, Jorge González)
  * fr (Claude Paroz)
  * gl (Fran Diéguez)
  * pl (Łukasz Jernaś)
  * pt_BR (Djavan Fagundes, Gabriel F. Vilar)
  * ru (Yuri Myasoedov)
  * sl (Matej Urbančič)
  * sv (Daniel Nylander)
  * tr (Muhammet Kara)
  * uk (Daniel Korostil)
  * zh_CN (Yinghua Wang)


0.4 (05 Feb 2011)
=================

  * Fixed (more) problems building debian packages.
  * Modified package description for fedora and debian.
  * Converted remaining files in latin1 to utf-8.
  * Fixed capitalization problems in translatable strings (Philip Withnall).
  * Use Unicode ellipsis instead of three dots (Philip Withnall).
  * Added 'Translated by' tab to about dialog.
  * Fixed slow startup (no longer wait for albums to be loaded).
  * Automatically re-show the authorization dialog if needed.
  * More descriptive strings in picture details dialog.
  * Implemented new settings dialog, allowing to pre-set default
    values for the visibility of the pictures.
  * Added support for specifying an HTTP proxy.
  * Added basic man page (Alberto Garcia).
  * Report in the progress dialog when pictures are being added to
    sets, and make that operation itself cancellable too.
  * Better and safer implementation for cancelling operations.
  * Allow adding pictures to group pools.
  * Allow changing sorting order in 'add to album/group' dialogs.
  * Be aware of changes in basic account info on startup.
  * Added support for handling multiple accounts.
  * Added support for creating new albums right from frogr.
  * Retrieve list of tags and use it to auto-complete in entries.
  * Do not accept tabs in text views, to allow keyboard navigation.
  * Added support for setting 'content type' and 'safety level'.
  * Added support to declare pictures to 'show up on global search results'.
  * Added mnemonics to the 'Edit details' and the 'Settings' dialog.
  * Renamed 'Albums' as 'Sets'.
  * Remove pictures from UI as soon as they get uploaded.
  * Removed dependency from libgnome when GTK+ < 2.14, and raised
    minimum version required fo GTK+ from 2.12 up to 2.14.
  * Allow compiling with gtk 3.0 by passing --with-gtk=3.0 to configure.
  * Better reporting progress to the users for time consuming operations.
  * Allow specifying a list of pictures to be loaded from command line.
  * Register frogr as image mime types handler, so it's possible to
    load pictures on it from other applications (e.g. nautilus or eog)
  * Added new translations: British English (en_GB), French (fr),
    Swedish (sv), Galician (gl), German (de), Slovenian (sl), Italian
    (it), Czech (cs), and Brazilian Portuguese (pt_BR). See
    TRANSLATORS file for more details.
  * As usual, lots of bugfixes and several minor improvements.


0.3 (22 Dec 2010)
=================

  * Fixed problems building debian packages.
  * Committed patches related to GNOME 3.0 integration (Javier Jardón).
  * Got rid of libcurl and improved integration with the mainloop by
    replacing the flickcurl library with our asynchronous (implements
    the GAsync API) library based in libsoup: flicksoup.
  * Improved authentication process. Made it more seamless and less
    error prone. Also, added a menu item to re-authorize if needed.
  * Better error handling, properly reporting the user when needed.
  * Cleaned up a lot the code of frogr and flicksoup. Made it more
    simple, hackable and robust. Still not perfect, though :-).
  * Allow cancelling uploads in progress, and resume them later.
  * Fixed bug uploading files with special characters in its name.
  * Added support for flickr albums. Now it's possible to select which
    album the pictures should be assigned to once uploaded.
  * New layout in the menu bar.
  * Updated translations.
  * Lots of bugfixes, as well as several minor improvements.


0.2 (12 Oct 2009)
=================

  * Generate ChangeLog from git log with 'make dist'
  * Added .spec file for fedora 11 packaging system (Adrián Pérez)
  * Added drag'n'drop support for loading pictures in frogr
  * Added support to add tags to pictures (instead of just replacing)
  * Fixed (legacy) support for libgnome2 to compile in debian lenny
  * Use accesor functions instead direct access and removed some
    deprecated GTK+ symbols (Javier Jardón)
  * Added i18n support and a es_ES lang file (Alejandro Piñeiro)
  * Support silent build rules with automake 1.11 (Javier Jardón)
  * Bugfixes and several minor improvements


0.1.1 (22 Aug 2009)
===================

  * Fixed problems with 'make dist' (missing files in EXTRA_DIST)


0.1 (21 Aug 2009)
=================

  * A better UI. Faster and better user experience
  * Basic configuration management to store account details (Adrián Pérez)
  * Support for editing details of multiple pictures at the same time
  * Added status and improved the progress bar usage to show the status
    of async operations, giving a much better feedback to the end user.
  * A better (and more easily hackable) code and design.
  * No more .glade files, no more gtk-builder-convert
  * Avoid libgnome dependency if gtk+ >= 2.14 is present
  * Still implemented some parts of the UI (menubar) without GtkBuilder
    to keep compatibility with Gtk+ 2.12 (least version supported).
  * Bugfixes and several (minor and major) improvements


0.0.20090603 (03 Jun 2009)
==========================

  * Initial pre-release, right after getting the basic stuff together.
